@import 'settings';
@import 'typography';
@import 'mixins';

.ModalPage {
    position: fixed;
    z-index: $zindex-modal;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    overflow-y: auto;
    overflow-x: hidden;
    background: $white;

    &__wrap {
        position: relative;
        min-height: 100%;

        .container {
            min-height: 100vh;
        }
    }

    &__content {
        position: relative;
        padding-top: 80px;
    }

    @media #{$mobile-only} {
        padding: 0 8px;
    }

    .Modal__close {
        color: $gray-700;

        &:hover {
            color: $black;
        }
    }
}

body.ModalPage--isOpen {
    overflow: hidden;
}
